import 'dart:collection';

import 'package:vdocipher_flutter/src/offline/download_selections.dart';

/// Specifications for a media download
class DownloadRequest {
  final DownloadSelections _downloadSelections;

  DownloadRequest(this._downloadSelections);

  static Map<String, Object?> toMap(DownloadRequest downloadRequest) {
    Map<String, Object?> downloadRequestMap = HashMap();
    downloadRequestMap['downloadSelections'] =
        DownloadSelections.toMap(downloadRequest._downloadSelections);

    return downloadRequestMap;
  }
}
